/*
 * ADIF.H
 *
 * INCLUDES AND DEFINES
 */

#include <ctype.h>
#include <stdio.h>
#include <string.h>
#include <sys/stat.h>
#include <unistd.h>
#include <stdlib.h>

#define L_QSO_DATE 15
#define L_TIME_ON 10
#define L_CALL 15
#define L_BAND 15
#define L_MODE 10
#define L_POWER 10
#define L_HISRST 10
#define L_MYRST 10
#define L_TIME_OFF 15
#define L_COMMENT 80

char month[13][4] = { "err",
      "Jan", "Feb", "Mar", "Apr", "May", "Jun",
      "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
   };

int  to_adif (char inlog[], char outlog[]);
int  de_adif (char inlog[], char outlog[]);
FILE *open_input (char inlog[]);
FILE *open_output (char outlog[]);
void make_adif (FILE *fpin, FILE *fpout);
void make_logfile (FILE *fpin, FILE *fpout);
void do_case (char *ptr);
int getcols(char *buf, int i, char *col, int len);

